## Apache Zeta Components Manual :: Docs For Class ezcWebdavDeadProperty

### Webdav::ezcWebdavDeadProperty

### Class ezcWebdavDeadProperty

An object of this class represents a WebDAV dead property.

An object of this class is created to represent a dead (in the meaning of unknown) property. While live properties are validated and maintained by the server itself, while dead properties are just stored without any further action.

Source for this file: /Webdav/src/properties/dead.php

    ezcWebdavInfrastructureBase
       |
       --ezcWebdavProperty
          |
          --ezcWebdavDeadProperty

Version: | //autogentag//

### Properties

string | read/write | `$content` The content of a dead property.

### Inherited Member Variables

From ezcWebdavProperty
protected | `ezcWebdavProperty::$properties`
From ezcWebdavInfrastructureBase
protected | `ezcWebdavInfrastructureBase::$pluginData`

### Method Summary

public void | `__construct( $namespace , $name , [ $content = null] )` Creates a new dead property.
public bool | `hasNoContent( )` Returns if property has no content.

### Inherited Methods

From ezcWebdavProperty
public void | `ezcWebdavProperty::__construct()` Creates a new property object.
public void | `ezcWebdavProperty::clear()` Remove all contents from a property.
protected void | `ezcWebdavProperty::hasError()` Indicates that a property has a validation error.
public abstract bool | `ezcWebdavProperty::hasNoContent()` Check if property has no content.
public void | `ezcWebdavProperty::__clone()` Clones a property deeply.
From ezcWebdavInfrastructureBase
public mixed | `ezcWebdavInfrastructureBase::getPluginData()` Retrieves plugin data from the storage.
public bool | `ezcWebdavInfrastructureBase::hasPluginData()` Returns if plugin data is available in the storage.
public void | `ezcWebdavInfrastructureBase::removePluginData()` Removes plugin data from the storage.
public void | `ezcWebdavInfrastructureBase::setPluginData()` Sets plugin data in the storage.

### Methods

#### __construct

void __construct( string $namespace , string $name , [string $content = null] )

Creates a new dead property.

Creates a new dead property in the given $namespace with the given $name and optionally containing $content.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$namespace` | string |
`$name` | string |
`$content` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcWebdavProperty::__construct()` | Creates a new property object.

#### hasNoContent

bool hasNoContent( )

Returns if property has no content.

Returns true, if the property has no content stored.

##### Redefinition of:

Method | Description
--- | ---
`ezcWebdavProperty::hasNoContent()` | Check if property has no content.

Documentation generated by phpDocumentor 1.4.3